Package org.spongepowered.asm.mixin.transformer

## Interface IMixinTransformerFactory

All Superinterfaces:
  `IMixinInternal`

    public interface IMixinTransformerFactory
    extends IMixinInternal

Factory for the mixin transformer, concrete instances of this class are only provided to services since only the service should be able to decide when the mixin transformer is initialised.

### Method Summary

All Methods Instance Methods Abstract Methods
`IMixinTransformer` `createTransformer()` Create a new transformer.

### Method Detail

#### createTransformer

    IMixinTransformer createTransformer()
                                 throws MixinInitialisationError

Create a new transformer.

Throws:
  `MixinInitialisationError`